package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;

public class ChildrenStatisticsDto {

    private Integer organId;

    private Integer cooperationOrganId;

    private String musicGroupId;

    private String organName;

    private String cooperationOrganName;

    private  String musicGroupName;

    private  Integer normalNum = 0;

    private Integer reserveNum = 0;

    private Integer noReserveNum = 0;

    private Integer instrumentalMusicNum = 0;

    private Integer musicTheoryNum = 0;

    private Integer buyVip1Num = 0;

    private BigDecimal buyVip1Amount = BigDecimal.ZERO;

    private Integer buyVip2Num = 0;

    private BigDecimal buyVip2Amount = BigDecimal.ZERO;

    private Integer buyMusicTheoryNum = 0;

    private BigDecimal buyMusicTheoryAmount = BigDecimal.ZERO;

    private BigDecimal theoryPrice = BigDecimal.ZERO;

    private BigDecimal gradePrice = BigDecimal.ZERO;

    private BigDecimal totalAmount = BigDecimal.ZERO;

    public BigDecimal getTheoryPrice() {
        return theoryPrice;
    }

    public void setTheoryPrice(BigDecimal theoryPrice) {
        this.theoryPrice = theoryPrice;
    }

    public BigDecimal getGradePrice() {
        return gradePrice;
    }

    public void setGradePrice(BigDecimal gradePrice) {
        this.gradePrice = gradePrice;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCooperationOrganName() {
        return cooperationOrganName;
    }

    public void setCooperationOrganName(String cooperationOrganName) {
        this.cooperationOrganName = cooperationOrganName;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Integer getNormalNum() {
        return normalNum;
    }

    public void setNormalNum(Integer normalNum) {
        this.normalNum = normalNum;
    }

    public Integer getReserveNum() {
        return reserveNum;
    }

    public void setReserveNum(Integer reserveNum) {
        this.reserveNum = reserveNum;
    }

    public Integer getNoReserveNum() {
        return noReserveNum;
    }

    public void setNoReserveNum(Integer noReserveNum) {
        this.noReserveNum = noReserveNum;
    }

    public Integer getInstrumentalMusicNum() {
        return instrumentalMusicNum;
    }

    public void setInstrumentalMusicNum(Integer instrumentalMusicNum) {
        this.instrumentalMusicNum = instrumentalMusicNum;
    }

    public Integer getMusicTheoryNum() {
        return musicTheoryNum;
    }

    public void setMusicTheoryNum(Integer musicTheoryNum) {
        this.musicTheoryNum = musicTheoryNum;
    }

    public Integer getBuyVip1Num() {
        return buyVip1Num;
    }

    public void setBuyVip1Num(Integer buyVip1Num) {
        this.buyVip1Num = buyVip1Num;
    }

    public BigDecimal getBuyVip1Amount() {
        return buyVip1Amount;
    }

    public void setBuyVip1Amount(BigDecimal buyVip1Amount) {
        this.buyVip1Amount = buyVip1Amount;
    }

    public Integer getBuyVip2Num() {
        return buyVip2Num;
    }

    public void setBuyVip2Num(Integer buyVip2Num) {
        this.buyVip2Num = buyVip2Num;
    }

    public BigDecimal getBuyVip2Amount() {
        return buyVip2Amount;
    }

    public void setBuyVip2Amount(BigDecimal buyVip2Amount) {
        this.buyVip2Amount = buyVip2Amount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getBuyMusicTheoryNum() {
        return buyMusicTheoryNum;
    }

    public void setBuyMusicTheoryNum(Integer buyMusicTheoryNum) {
        this.buyMusicTheoryNum = buyMusicTheoryNum;
    }

    public BigDecimal getBuyMusicTheoryAmount() {
        return buyMusicTheoryAmount;
    }

    public void setBuyMusicTheoryAmount(BigDecimal buyMusicTheoryAmount) {
        this.buyMusicTheoryAmount = buyMusicTheoryAmount;
    }
}
